diff --git a/game/core/src/main/java/net/minecraft/core/block/Blocks.java b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
index 5959ef2c8..d6430ac31 100644
--- a/game/core/src/main/java/net/minecraft/core/block/Blocks.java
+++ b/game/core/src/main/java/net/minecraft/core/block/Blocks.java
@@ -410,27 +409,27 @@ public final class Blocks {
     public static final Block<?> GRAVEL = register("gravel", "minecraft:block/gravel", 251, BlockLogicGravel::new)
         .withSound(BlockSounds.GRAVEL).withHardness(0.6F)
         .withTags(BlockTags.MINEABLE_BY_SHOVEL);
-    public static final Block<?> SULFUR = register("sulfur", "minecraft:block/sulfur", 252, (b) -> new BlockLogic(b, Material.sand))
+    public static final Block<?> SULFUR = register("sulfur", "minecraft:block/sulfur", 252, (b) -> new BlockLogic(b, Materials.SAND))
             .withSound(BlockSounds.SAND).withHardness(0.7F)
         .withTags(BlockTags.MINEABLE_BY_SHOVEL);
 
-    public static final Block<?> BEDROCK = register("bedrock", "minecraft:block/bedrock", 260, (b) -> new BlockLogicBedrock(b, Material.stone))
+    public static final Block<?> BEDROCK = register("bedrock", "minecraft:block/bedrock", 260, (b) -> new BlockLogicBedrock(b, Materials.STONE))
         .withSound(BlockSounds.STONE).withSetUnbreakable().withBlastResistance(6000000F).withImmovableFlagSet()
         .withTags(BlockTags.PISTON_CRUSHING);
-    public static final Block<?> BONESHALE = register("boneshale", "minecraft:block/boneshale", 261, (b) -> new BlockLogicBoneShale(b, Material.stone))
+    public static final Block<?> BONESHALE = register("boneshale", "minecraft:block/boneshale", 261, (b) -> new BlockLogicBoneShale(b, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(16F).withBlastResistance(6000000F).withImmovableFlagSet()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE, BlockTags.NETHER_MOBS_SPAWN);
 
-    public static final Block<BlockLogicFluid> FLUID_WATER_FLOWING = register("fluid.water.flowing", "minecraft:block/fluid_water_flowing", 270, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidFlowing(b, Material.water, new FluidWater(), Blocks.FLUID_WATER_STILL))
+    public static final Block<BlockLogicFluid> FLUID_WATER_FLOWING = register("fluid.water.flowing", "minecraft:block/fluid_water_flowing", 270, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidFlowing(b, Materials.WATER, new FluidWater(), Blocks.FLUID_WATER_STILL))
         .withHardness(100F).withLightBlock(3).withDisabledNeighborNotifyOnMetadataChange().withDisabledStats()
         .withTags(BlockTags.IS_WATER, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
-    public static final Block<BlockLogicFluid> FLUID_WATER_STILL = register("fluid.water.still", "minecraft:block/fluid_water_still", 271, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidStill(b, Material.water, new FluidWater(), Blocks.FLUID_WATER_FLOWING))
+    public static final Block<BlockLogicFluid> FLUID_WATER_STILL = register("fluid.water.still", "minecraft:block/fluid_water_still", 271, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidStill(b, Materials.WATER, new FluidWater(), Blocks.FLUID_WATER_FLOWING))
         .withHardness(100F).withLightBlock(3).withDisabledNeighborNotifyOnMetadataChange().withDisabledStats().setStatParent(() -> FLUID_WATER_FLOWING)
         .withTags(BlockTags.IS_WATER, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
-    public static final Block<BlockLogicFluid> FLUID_LAVA_FLOWING = register("fluid.lava.flowing", "minecraft:block/fluid_lava_flowing", 272, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidFlowing(b, Material.lava, new FluidLava(), Blocks.FLUID_LAVA_STILL))
+    public static final Block<BlockLogicFluid> FLUID_LAVA_FLOWING = register("fluid.lava.flowing", "minecraft:block/fluid_lava_flowing", 272, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidFlowing(b, Materials.LAVA, new FluidLava(), Blocks.FLUID_LAVA_STILL))
         .withHardness(0.0F).withLightEmission(1.0F).withLightBlock(255).withDisabledNeighborNotifyOnMetadataChange().withDisabledStats()
         .withTags(BlockTags.IS_LAVA, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
-    public static final Block<BlockLogicFluid> FLUID_LAVA_STILL = register("fluid.lava.still", "minecraft:block/fluid_lava_still", 273, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidStill(b, Material.lava, new FluidLava(), Blocks.FLUID_LAVA_FLOWING))
+    public static final Block<BlockLogicFluid> FLUID_LAVA_STILL = register("fluid.lava.still", "minecraft:block/fluid_lava_still", 273, (BlockLogicSupplier<BlockLogicFluid>) b -> new BlockLogicFluidStill(b, Materials.LAVA, new FluidLava(), Blocks.FLUID_LAVA_FLOWING))
         .withHardness(100F).withLightEmission(1.0F).withLightBlock(255).withDisabledNeighborNotifyOnMetadataChange().withDisabledStats().setStatParent(() -> FLUID_LAVA_FLOWING)
         .withTags(BlockTags.IS_LAVA, BlockTags.PLACE_OVERWRITES, BlockTags.NOT_IN_CREATIVE_MENU);
 
@@ -462,13 +461,13 @@ public final class Blocks {
     public static final Block<?> LEAVES_OAK = register("leaves.oak", "minecraft:block/leaves_oak", 290, BlockLogicLeavesOak::new)
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
-    public static final Block<?> LEAVES_OAK_RETRO = register("leaves.oak.retro", "minecraft:block/leaves_oak_retro", 291, (b) -> new BlockLogicLeavesBase(b, Material.leaves, Blocks.SAPLING_OAK_RETRO))
+    public static final Block<?> LEAVES_OAK_RETRO = register("leaves.oak.retro", "minecraft:block/leaves_oak_retro", 291, (b) -> new BlockLogicLeavesBase(b, Materials.LEAVES, Blocks.SAPLING_OAK_RETRO))
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
     public static final Block<?> LEAVES_PINE = register("leaves.pine", "minecraft:block/leaves_pine", 292, BlockLogicLeavesPine::new)
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.pineLeaves)
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
-    public static final Block<?> LEAVES_BIRCH = register("leaves.birch", "minecraft:block/leaves_birch", 293, (b) -> new BlockLogicLeavesBase(b, Material.leaves, Blocks.SAPLING_BIRCH))
+    public static final Block<?> LEAVES_BIRCH = register("leaves.birch", "minecraft:block/leaves_birch", 293, (b) -> new BlockLogicLeavesBase(b, Materials.LEAVES, Blocks.SAPLING_BIRCH))
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.birchLeaves)
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
     public static final Block<?> LEAVES_CHERRY = register("leaves.cherry", "minecraft:block/leaves_cherry", 294, BlockLogicLeavesCherry::new)
@@ -486,10 +485,10 @@ public final class Blocks {
     public static final Block<?> LEAVES_CACAO = register("leaves.cacao", "minecraft:block/leaves_cacao", 298, BlockLogicLeavesCacao::new)
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.SHEARS_DO_SILK_TOUCH, BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
-    public static final Block<?> LEAVES_THORN = register("leaves.thorn", "minecraft:block/leaves_thorn", 299, (b) -> new BlockLogicLeavesBase(b, Material.leaves, Blocks.SAPLING_THORN))
+    public static final Block<?> LEAVES_THORN = register("leaves.thorn", "minecraft:block/leaves_thorn", 299, (b) -> new BlockLogicLeavesBase(b, Materials.LEAVES, Blocks.SAPLING_THORN))
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.thornLeaves)
         .withTags(BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
-    public static final Block<?> LEAVES_PALM = register("leaves.palm", "minecraft:block/leaves_palm", 300, (b) -> new BlockLogicLeavesBase(b, Material.leaves, Blocks.SAPLING_PALM))
+    public static final Block<?> LEAVES_PALM = register("leaves.palm", "minecraft:block/leaves_palm", 300, (b) -> new BlockLogicLeavesBase(b, Materials.LEAVES, Blocks.SAPLING_PALM))
         .withSound(BlockSounds.GRASS).withHardness(0.2F).withLightBlock(1).withDisabledNeighborNotifyOnMetadataChange().withOverrideColor(MaterialColor.palmLeaves)
         .withTags(BlockTags.MINEABLE_BY_AXE, BlockTags.MINEABLE_BY_HOE, BlockTags.MINEABLE_BY_SWORD, BlockTags.MINEABLE_BY_SHEARS);
 
@@ -536,7 +535,7 @@ public final class Blocks {
     public static final Block<?> SPINIFEX = register("spinifex", "minecraft:block/spinifex", 323, BlockLogicSpinifex::new)
         .withSound(BlockSounds.GRASS).withHardness(0.0F)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLACE_OVERWRITES, BlockTags.SHEARS_DO_SILK_TOUCH);
-    public static final Block<?> ALGAE = register("algae", "minecraft:block/algae", 324, (b) -> new BlockLogicAlgae(b, Material.plant))
+    public static final Block<?> ALGAE = register("algae", "minecraft:block/algae", 324, (b) -> new BlockLogicAlgae(b, Materials.PLANT))
         .withSound(BlockSounds.GRASS).withHardness(0.0F).withLitInteriorSurface(true)
         .setBlockItem(ItemBlockAlgae::new)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLACE_OVERWRITES, BlockTags.SHEARS_DO_SILK_TOUCH);
@@ -567,125 +566,125 @@ public final class Blocks {
         .withSound(BlockSounds.GRASS).withHardness(0.0F).withOverrideColor(MaterialColor.paintedRed)
         .withTags(BlockTags.BROKEN_BY_FLUIDS, BlockTags.PLANTABLE_IN_JAR, BlockTags.PIGS_FAVOURITE_BLOCK);
 
-    public static final Block<?> ORE_COAL_STONE = register("ore.coal.stone", "minecraft:block/ore_coal_stone", 350, (b) -> new BlockLogicOreCoal(b, Blocks.STONE, Material.stone))
+    public static final Block<?> ORE_COAL_STONE = register("ore.coal.stone", "minecraft:block/ore_coal_stone", 350, (b) -> new BlockLogicOreCoal(b, Blocks.STONE, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_COAL_BASALT = register("ore.coal.basalt", "minecraft:block/ore_coal_basalt", 351, (b) -> new BlockLogicOreCoal(b, Blocks.BASALT, Material.basalt))
+    public static final Block<?> ORE_COAL_BASALT = register("ore.coal.basalt", "minecraft:block/ore_coal_basalt", 351, (b) -> new BlockLogicOreCoal(b, Blocks.BASALT, Materials.BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_COAL_LIMESTONE = register("ore.coal.limestone", "minecraft:block/ore_coal_limestone", 352, (b) -> new BlockLogicOreCoal(b, Blocks.LIMESTONE, Material.limestone))
+    public static final Block<?> ORE_COAL_LIMESTONE = register("ore.coal.limestone", "minecraft:block/ore_coal_limestone", 352, (b) -> new BlockLogicOreCoal(b, Blocks.LIMESTONE, Materials.LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_COAL_GRANITE = register("ore.coal.granite", "minecraft:block/ore_coal_granite", 353, (b) -> new BlockLogicOreCoal(b, Blocks.GRANITE, Material.granite))
+    public static final Block<?> ORE_COAL_GRANITE = register("ore.coal.granite", "minecraft:block/ore_coal_granite", 353, (b) -> new BlockLogicOreCoal(b, Blocks.GRANITE, Materials.GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_COAL_PERMAFROST = register("ore.coal.permafrost", "minecraft:block/ore_coal_permafrost", 354, (b) -> new BlockLogicOreCoal(b, Blocks.PERMAFROST, Material.permafrost))
+    public static final Block<?> ORE_COAL_PERMAFROST = register("ore.coal.permafrost", "minecraft:block/ore_coal_permafrost", 354, (b) -> new BlockLogicOreCoal(b, Blocks.PERMAFROST, Materials.PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
-    public static final Block<?> ORE_IRON_STONE = register("ore.iron.stone", "minecraft:block/ore_iron_stone", 360, (b) -> new BlockLogicOreIron(b, Blocks.STONE, Material.stone))
+    public static final Block<?> ORE_IRON_STONE = register("ore.iron.stone", "minecraft:block/ore_iron_stone", 360, (b) -> new BlockLogicOreIron(b, Blocks.STONE, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_IRON_BASALT = register("ore.iron.basalt", "minecraft:block/ore_iron_basalt", 361, (b) -> new BlockLogicOreIron(b, Blocks.BASALT, Material.basalt))
+    public static final Block<?> ORE_IRON_BASALT = register("ore.iron.basalt", "minecraft:block/ore_iron_basalt", 361, (b) -> new BlockLogicOreIron(b, Blocks.BASALT, Materials.BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_IRON_LIMESTONE = register("ore.iron.limestone", "minecraft:block/ore_iron_limestone", 362, (b) -> new BlockLogicOreIron(b, Blocks.LIMESTONE, Material.limestone))
+    public static final Block<?> ORE_IRON_LIMESTONE = register("ore.iron.limestone", "minecraft:block/ore_iron_limestone", 362, (b) -> new BlockLogicOreIron(b, Blocks.LIMESTONE, Materials.LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_IRON_GRANITE = register("ore.iron.granite", "minecraft:block/ore_iron_granite", 363, (b) -> new BlockLogicOreIron(b, Blocks.GRANITE, Material.granite))
+    public static final Block<?> ORE_IRON_GRANITE = register("ore.iron.granite", "minecraft:block/ore_iron_granite", 363, (b) -> new BlockLogicOreIron(b, Blocks.GRANITE, Materials.GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_IRON_PERMAFROST = register("ore.iron.permafrost", "minecraft:block/ore_iron_permafrost", 364, (b) -> new BlockLogicOreIron(b, Blocks.PERMAFROST, Material.permafrost))
+    public static final Block<?> ORE_IRON_PERMAFROST = register("ore.iron.permafrost", "minecraft:block/ore_iron_permafrost", 364, (b) -> new BlockLogicOreIron(b, Blocks.PERMAFROST, Materials.PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
-    public static final Block<?> ORE_GOLD_STONE = register("ore.gold.stone", "minecraft:block/ore_gold_stone", 370, (b) -> new BlockLogicOreGold(b, Blocks.STONE, Material.stone))
+    public static final Block<?> ORE_GOLD_STONE = register("ore.gold.stone", "minecraft:block/ore_gold_stone", 370, (b) -> new BlockLogicOreGold(b, Blocks.STONE, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_GOLD_BASALT = register("ore.gold.basalt", "minecraft:block/ore_gold_basalt", 371, (b) -> new BlockLogicOreGold(b, Blocks.BASALT, Material.basalt))
+    public static final Block<?> ORE_GOLD_BASALT = register("ore.gold.basalt", "minecraft:block/ore_gold_basalt", 371, (b) -> new BlockLogicOreGold(b, Blocks.BASALT, Materials.BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_GOLD_LIMESTONE = register("ore.gold.limestone", "minecraft:block/ore_gold_limestone", 372, (b) -> new BlockLogicOreGold(b, Blocks.LIMESTONE, Material.limestone))
+    public static final Block<?> ORE_GOLD_LIMESTONE = register("ore.gold.limestone", "minecraft:block/ore_gold_limestone", 372, (b) -> new BlockLogicOreGold(b, Blocks.LIMESTONE, Materials.LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_GOLD_GRANITE = register("ore.gold.granite", "minecraft:block/ore_gold_granite", 373, (b) -> new BlockLogicOreGold(b, Blocks.GRANITE, Material.granite))
+    public static final Block<?> ORE_GOLD_GRANITE = register("ore.gold.granite", "minecraft:block/ore_gold_granite", 373, (b) -> new BlockLogicOreGold(b, Blocks.GRANITE, Materials.GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_GOLD_PERMAFROST = register("ore.gold.permafrost", "minecraft:block/ore_gold_permafrost",374, (b) -> new BlockLogicOreGold(b, Blocks.PERMAFROST, Material.permafrost))
+    public static final Block<?> ORE_GOLD_PERMAFROST = register("ore.gold.permafrost", "minecraft:block/ore_gold_permafrost",374, (b) -> new BlockLogicOreGold(b, Blocks.PERMAFROST, Materials.PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
-    public static final Block<?> ORE_LAPIS_STONE = register("ore.lapis.stone", "minecraft:block/ore_lapis_stone", 380, (b) -> new BlockLogicOreLapis(b, Blocks.STONE, Material.stone))
+    public static final Block<?> ORE_LAPIS_STONE = register("ore.lapis.stone", "minecraft:block/ore_lapis_stone", 380, (b) -> new BlockLogicOreLapis(b, Blocks.STONE, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_LAPIS_BASALT = register("ore.lapis.basalt", "minecraft:block/ore_lapis_basalt", 381, (b) -> new BlockLogicOreLapis(b, Blocks.BASALT, Material.basalt))
+    public static final Block<?> ORE_LAPIS_BASALT = register("ore.lapis.basalt", "minecraft:block/ore_lapis_basalt", 381, (b) -> new BlockLogicOreLapis(b, Blocks.BASALT, Materials.BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_LAPIS_LIMESTONE = register("ore.lapis.limestone", "minecraft:block/ore_lapis_limestone", 382, (b) -> new BlockLogicOreLapis(b, Blocks.LIMESTONE, Material.limestone))
+    public static final Block<?> ORE_LAPIS_LIMESTONE = register("ore.lapis.limestone", "minecraft:block/ore_lapis_limestone", 382, (b) -> new BlockLogicOreLapis(b, Blocks.LIMESTONE, Materials.LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_LAPIS_GRANITE = register("ore.lapis.granite", "minecraft:block/ore_lapis_granite", 383, (b) -> new BlockLogicOreLapis(b, Blocks.GRANITE, Material.granite))
+    public static final Block<?> ORE_LAPIS_GRANITE = register("ore.lapis.granite", "minecraft:block/ore_lapis_granite", 383, (b) -> new BlockLogicOreLapis(b, Blocks.GRANITE, Materials.GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_LAPIS_PERMAFROST = register("ore.lapis.permafrost", "minecraft:block/ore_lapis_permafrost", 384, (b) -> new BlockLogicOreLapis(b, Blocks.PERMAFROST, Material.permafrost))
+    public static final Block<?> ORE_LAPIS_PERMAFROST = register("ore.lapis.permafrost", "minecraft:block/ore_lapis_permafrost", 384, (b) -> new BlockLogicOreLapis(b, Blocks.PERMAFROST, Materials.PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final Block<?> ORE_REDSTONE_STONE = register("ore.redstone.stone", "minecraft:block/ore_redstone_stone", 390,
-        (b) -> new BlockLogicOreRedstone(b, Blocks.STONE, Material.stone, false, Blocks.ORE_REDSTONE_STONE, Blocks.ORE_REDSTONE_GLOWING_STONE))
+        (b) -> new BlockLogicOreRedstone(b, Blocks.STONE, Materials.STONE, false, Blocks.ORE_REDSTONE_STONE, Blocks.ORE_REDSTONE_GLOWING_STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(2F).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_BASALT = register("ore.redstone.basalt", "minecraft:block/ore_redstone_basalt", 391,
-        (b) -> new BlockLogicOreRedstone(b, Blocks.BASALT, Material.basalt, false, Blocks.ORE_REDSTONE_BASALT, Blocks.ORE_REDSTONE_GLOWING_BASALT))
+        (b) -> new BlockLogicOreRedstone(b, Blocks.BASALT, Materials.BASALT, false, Blocks.ORE_REDSTONE_BASALT, Blocks.ORE_REDSTONE_GLOWING_BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(2F).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_LIMESTONE = register("ore.redstone.limestone", "minecraft:block/ore_redstone_limestone", 392,
-        (b) -> new BlockLogicOreRedstone(b, Blocks.LIMESTONE, Material.limestone, false, Blocks.ORE_REDSTONE_LIMESTONE, Blocks.ORE_REDSTONE_GLOWING_LIMESTONE))
+        (b) -> new BlockLogicOreRedstone(b, Blocks.LIMESTONE, Materials.LIMESTONE, false, Blocks.ORE_REDSTONE_LIMESTONE, Blocks.ORE_REDSTONE_GLOWING_LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(2F).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_GRANITE = register("ore.redstone.granite", "minecraft:block/ore_redstone_granite", 393,
-        (b) -> new BlockLogicOreRedstone(b, Blocks.GRANITE, Material.granite, false, Blocks.ORE_REDSTONE_GRANITE, Blocks.ORE_REDSTONE_GLOWING_GRANITE))
+        (b) -> new BlockLogicOreRedstone(b, Blocks.GRANITE, Materials.GRANITE, false, Blocks.ORE_REDSTONE_GRANITE, Blocks.ORE_REDSTONE_GLOWING_GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(2F).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_PERMAFROST = register("ore.redstone.permafrost", "minecraft:block/ore_redstone_permafrost", 394,
-        (b) -> new BlockLogicOreRedstone(b, Blocks.PERMAFROST, Material.permafrost, false, Blocks.ORE_REDSTONE_PERMAFROST, Blocks.ORE_REDSTONE_GLOWING_PERMAFROST))
+        (b) -> new BlockLogicOreRedstone(b, Blocks.PERMAFROST, Materials.PERMAFROST, false, Blocks.ORE_REDSTONE_PERMAFROST, Blocks.ORE_REDSTONE_GLOWING_PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(2F).withDisabledNeighborNotifyOnMetadataChange()
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
     public static final Block<?> ORE_REDSTONE_GLOWING_STONE = register("ore.redstone.glowing.stone", "minecraft:block/ore_redstone_glowing_stone", 400,
-        (b) -> new BlockLogicOreRedstone(b, null, Material.stone, true, Blocks.ORE_REDSTONE_STONE, Blocks.ORE_REDSTONE_GLOWING_STONE))
+        (b) -> new BlockLogicOreRedstone(b, null, Materials.STONE, true, Blocks.ORE_REDSTONE_STONE, Blocks.ORE_REDSTONE_GLOWING_STONE))
         .withSound(BlockSounds.STONE).withLightEmission(0.2F).withHardness(3F).withBlastResistance(5F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> ORE_REDSTONE_STONE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_GLOWING_BASALT = register("ore.redstone.glowing.basalt", "minecraft:block/ore_redstone_glowing_basalt", 401,
-        (b) -> new BlockLogicOreRedstone(b, null, Material.basalt, true, Blocks.ORE_REDSTONE_BASALT, Blocks.ORE_REDSTONE_GLOWING_BASALT))
+        (b) -> new BlockLogicOreRedstone(b, null, Materials.BASALT, true, Blocks.ORE_REDSTONE_BASALT, Blocks.ORE_REDSTONE_GLOWING_BASALT))
         .withSound(BlockSounds.STONE).withLightEmission(0.2F).withHardness(3F).withBlastResistance(5F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> ORE_REDSTONE_BASALT)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_GLOWING_LIMESTONE = register("ore.redstone.glowing.limestone", "minecraft:block/ore_redstone_glowing_limestone", 402,
-        (b) -> new BlockLogicOreRedstone(b, null, Material.limestone, true, Blocks.ORE_REDSTONE_LIMESTONE, Blocks.ORE_REDSTONE_GLOWING_LIMESTONE))
+        (b) -> new BlockLogicOreRedstone(b, null, Materials.LIMESTONE, true, Blocks.ORE_REDSTONE_LIMESTONE, Blocks.ORE_REDSTONE_GLOWING_LIMESTONE))
         .withSound(BlockSounds.STONE).withLightEmission(0.2F).withHardness(3F).withBlastResistance(5F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> ORE_REDSTONE_LIMESTONE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_GLOWING_GRANITE = register("ore.redstone.glowing.granite", "minecraft:block/ore_redstone_glowing_granite", 403,
-        (b) -> new BlockLogicOreRedstone(b, null, Material.granite, true, Blocks.ORE_REDSTONE_GRANITE, Blocks.ORE_REDSTONE_GLOWING_GRANITE))
+        (b) -> new BlockLogicOreRedstone(b, null, Materials.GRANITE, true, Blocks.ORE_REDSTONE_GRANITE, Blocks.ORE_REDSTONE_GLOWING_GRANITE))
         .withSound(BlockSounds.STONE).withLightEmission(0.2F).withHardness(3F).withBlastResistance(5F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> ORE_REDSTONE_GRANITE)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
     public static final Block<?> ORE_REDSTONE_GLOWING_PERMAFROST = register("ore.redstone.glowing.permafrost", "minecraft:block/ore_redstone_glowing_permafrost", 404,
-        (b) -> new BlockLogicOreRedstone(b, null, Material.permafrost, true, Blocks.ORE_REDSTONE_PERMAFROST, Blocks.ORE_REDSTONE_GLOWING_PERMAFROST))
+        (b) -> new BlockLogicOreRedstone(b, null, Materials.PERMAFROST, true, Blocks.ORE_REDSTONE_PERMAFROST, Blocks.ORE_REDSTONE_GLOWING_PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withLightEmission(0.2F).withHardness(3F).withBlastResistance(5F).withDisabledNeighborNotifyOnMetadataChange().setStatParent(() -> ORE_REDSTONE_PERMAFROST)
         .withTags(BlockTags.NOT_IN_CREATIVE_MENU, BlockTags.MINEABLE_BY_PICKAXE);
 
-    public static final Block<?> ORE_DIAMOND_STONE = register("ore.diamond.stone", "minecraft:block/ore_diamond_stone", 410, (b) -> new BlockLogicOreDiamond(b, Blocks.STONE, Material.stone))
+    public static final Block<?> ORE_DIAMOND_STONE = register("ore.diamond.stone", "minecraft:block/ore_diamond_stone", 410, (b) -> new BlockLogicOreDiamond(b, Blocks.STONE, Materials.STONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_DIAMOND_BASALT = register("ore.diamond.basalt", "minecraft:block/ore_diamond_basalt", 411, (b) -> new BlockLogicOreDiamond(b, Blocks.BASALT, Material.basalt))
+    public static final Block<?> ORE_DIAMOND_BASALT = register("ore.diamond.basalt", "minecraft:block/ore_diamond_basalt", 411, (b) -> new BlockLogicOreDiamond(b, Blocks.BASALT, Materials.BASALT))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_DIAMOND_LIMESTONE = register("ore.diamond.limestone", "minecraft:block/ore_diamond_limestone", 412, (b) -> new BlockLogicOreDiamond(b, Blocks.LIMESTONE, Material.limestone))
+    public static final Block<?> ORE_DIAMOND_LIMESTONE = register("ore.diamond.limestone", "minecraft:block/ore_diamond_limestone", 412, (b) -> new BlockLogicOreDiamond(b, Blocks.LIMESTONE, Materials.LIMESTONE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_DIAMOND_GRANITE = register("ore.diamond.granite", "minecraft:block/ore_diamond_granite", 413, (b) -> new BlockLogicOreDiamond(b, Blocks.GRANITE, Material.granite))
+    public static final Block<?> ORE_DIAMOND_GRANITE = register("ore.diamond.granite", "minecraft:block/ore_diamond_granite", 413, (b) -> new BlockLogicOreDiamond(b, Blocks.GRANITE, Materials.GRANITE))
         .withSound(BlockSounds.STONE).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
-    public static final Block<?> ORE_DIAMOND_PERMAFROST = register("ore.diamond.permafrost", "minecraft:block/ore_diamond_permafrost", 414, (b) -> new BlockLogicOreDiamond(b, Blocks.PERMAFROST, Material.permafrost))
+    public static final Block<?> ORE_DIAMOND_PERMAFROST = register("ore.diamond.permafrost", "minecraft:block/ore_diamond_permafrost", 414, (b) -> new BlockLogicOreDiamond(b, Blocks.PERMAFROST, Materials.PERMAFROST))
         .withSound(BlockSounds.PERMAFROST).withHardness(3F).withBlastResistance(5F)
         .withTags(BlockTags.MINEABLE_BY_PICKAXE);
 
